summaryrefslogtreecommitdiff
path: root/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2023-04-14 17:00:05 +0300
committerPatrick Williams <patrick@stwcx.xyz>2023-04-14 19:27:12 +0300
commit62ac9d5e03bbe0744eeb54075713a726e5ac81f0 (patch)
treee808e17318d3a6789bb7ae584ba50ce290de752a /meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh
parent588267188c50be4bd3dd9f4b23e777705d91dd27 (diff)
downloadopenbmc-62ac9d5e03bbe0744eeb54075713a726e5ac81f0.tar.xz
meta-google: networking: fix shellcheck warnings
Signed-off-by: Patrick Williams <patrick@stwcx.xyz> Change-Id: I7ae5c315d5a938b29c6fd5d68f07225d125ccead
Diffstat (limited to 'meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh')
-rw-r--r--meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh b/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh
index 7ccee8e611..d3bf95d89b 100644
--- a/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh
+++ b/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-lib.sh
@@ -128,6 +128,7 @@ gbmc_br_set_ip() {
}
gbmc_br_lib_init=1
-return 0 2>/dev/null
-echo "gbmc-br-lib is a library, not executed directly" >&2
-exit 1
+if ! (return 0 2>/dev/null); then
+ echo "gbmc-br-lib is a library, not executed directly" >&2
+ exit 1
+fi